Bug 1802036 - Migration to fix casing to AzureRm
Summary: Migration to fix casing to AzureRm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Aditi Puntambekar
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-12 08:54 UTC by Aditi Puntambekar
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_azure_rm-2.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28972 Normal Closed Migration to fix casing to AzureRm 2020-03-11 06:30:51 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:53 UTC

Description Aditi Puntambekar 2020-02-12 08:54:35 UTC
Description of problem:
Once the server starts, it says uninitialized constant ForemanAzureRM::AzureRM. This may happen for existing/older Azure compute resource, but casing was changed to AzureRm recently in the plugin. Hence, for users to smoothly continue using the compute resource, they should run the migration added.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Upon starting server, it says uninitialized constant ForemanAzureRM::AzureRM.
2.
3.

Actual results:
uninitialized constant ForemanAzureRM::AzureRM

Expected results:
Should run the migration and continue with compute resource as expected.


Additional info:

Comment 4 vijsingh 2020-02-24 13:50:00 UTC
Verified

@Satellite 6.7.0 snap 13.0

 - API Automation tests passed on upgraded Satellite.

Comment 7 errata-xmlrpc 2020-04-14 13:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.